Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl
Class TExtensibilityElement

    java.lang.Object
      org.apache.cxf.wsdl.TExtensibilityElement

Direct Known Subclasses:
  TExtensibilityElementImpl

    public abstract class TExtensibilityElement

extends java.lang.Object

Java class for tExtensibilityElement complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="tExtensibilityElement">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute ref="{http://schemas.xmlsoap.org/wsdl/}required"/>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected java.lang.Boolean` | `required`

Constructor Summary
`TExtensibilityElement()`

Method Summary
`boolean` | `isRequired()` Gets the value of the required property.
`boolean` | `isSetRequired()`
`void` | `setRequired(boolean value)` Sets the value of the required property.
`void` | `unsetRequired()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### required

    protected java.lang.Boolean required

Constructor Detail

### TExtensibilityElement

    public TExtensibilityElement()

Method Detail

### isRequired

    public boolean isRequired()

  Gets the value of the required property.

  Returns:
    possible object is `Boolean`

### setRequired

    public void setRequired(boolean value)

  Sets the value of the required property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetRequired

    public boolean isSetRequired()

### unsetRequired

    public void unsetRequired()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF